Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004182 [JEDI VCL] 00 JVCL Components minor random 2007-07-17 07:57 2007-10-12 07:10
Reporter roku View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004182: TJvExTabControl.DoEraseBackground: EInvalidOperation - Canvas does not allow drawing.
Description We occasionally get this error when running our application on Windows Vista (with Aero enabled). Please see the MadExcept bugreport below for details.
Additional Information date/time : 2007-07-17, 14:03:07, 646ms
operating system : Windows Vista build 6000
system language : Dutch
system up time : 4 hours 11 minutes
program up time : 15 seconds
processors : 2x Intel(R) Core(TM)2 CPU T7200 @ 2.00GHz
physical memory : 951/2046 MB (free/total)
free disk space : (C:) 5,25 GB (P:) 26,47 GB
display mode : 1680x1050, 32 bit
process id : $136c
allocated memory : 47,17 MB
exec. date/time : 2007-07-17 14:02
version : 3.0.0.0
compiled with : Delphi 2007
madExcept version : 3.0d
callstack crc : $a04918bd, $5e477601, $cd1518e6
exception number : 1
exception class : EInvalidOperation
exception message : Canvas does not allow drawing.

main thread ($13d4):
0047fbd4 +040 FINAN.exe Graphics TCanvas.RequiredState
0047facb +013 FINAN.exe Graphics TCanvas.GetHandle
00593dc4 +00c FINAN.exe JvExComCtrls TJvExTabControl.DoEraseBackground
005941e8 +408 FINAN.exe JvExComCtrls TJvExTabControl.WndProc
004b3e98 +024 FINAN.exe Controls TControl.Perform
004b8b8b +0a7 FINAN.exe Controls TWinControl.WMPaint
004b420b +2bb FINAN.exe Controls TControl.WndProc
004b8202 +4fa FINAN.exe Controls TWinControl.WndProc
005942c5 +4e5 FINAN.exe JvExComCtrls TJvExTabControl.WndProc
004b792c +02c FINAN.exe Controls TWinControl.MainWndProc
004781cc +014 FINAN.exe Classes StdWndProc
77ae0e6b +02b ntdll.dll KiUserCallbackDispatcher
76763c85 +00a USER32.dll DispatchMessageA
004d31dc +0fc FINAN.exe Forms TApplication.ProcessMessage
004d3216 +00a FINAN.exe Forms TApplication.HandleMessage
004d3527 +0b3 FINAN.exe Forms TApplication.Run
0071b9fc +1b8 FINAN.exe FINAN 103 +30 initialization
76833831 +010 kernel32.dll BaseThreadInitThunk
77aba9bb +04b ntdll.dll LdrInitializeThunk

thread $260 (TAutoCalcThread): <suspended> <priority:-2>
77ae0f34 +00 ntdll.dll KiFastSystemCallRet
77ae054e +0a ntdll.dll NtSuspendThread
76844822 +0c kernel32.dll SuspendThread
004769da +32 FINAN.exe Classes TThread.Suspend
00476999 +09 FINAN.exe Classes TThread.SetSuspended
007179dd +3d FINAN.exe F_AutoCalcThread 72 +7 TAutoCalcThread.Execute
0044fbdf +2b FINAN.exe madExcept HookedTThreadExecute
00476424 +34 FINAN.exe Classes ThreadProc
004054c8 +28 FINAN.exe System 47 +0 ThreadWrapper
0044fac1 +0d FINAN.exe madExcept CallThreadProcSafe
0044fb2b +37 FINAN.exe madExcept ThreadExceptFrame
76833831 +10 kernel32.dll BaseThreadInitThunk
77aba9bb +4b ntdll.dll LdrInitializeThunk
>> created by main thread ($13d4) at:
00717923 +23 FINAN.exe F_AutoCalcThread 47 +1 TAutoCalcThread.Create

cpu registers:
eax = 016583f0
ebx = ffffff0f
ecx = 016583f0
edx = 0047fbd9
esi = 0502add0
edi = 00000000
eip = 0047fbd9
esp = 0012fa60
ebp = 0012faf4

stack dump:
0012fa60 d9 fb 47 00 de fa ed 0e - 01 00 00 00 07 00 00 00 ..G.............
0012fa70 74 fa 12 00 d9 fb 47 00 - f0 83 65 01 0f ff ff ff t.....G...e.....
0012fa80 d0 ad 02 05 00 00 00 00 - f4 fa 12 00 90 fa 12 00 ................
0012fa90 0f 00 00 00 d0 ad 02 05 - d0 ad 02 05 d0 fa 47 00 ..............G.
0012faa0 30 75 e5 02 c9 3d 59 00 - 00 00 00 00 e4 fd 12 00 0u...=Y.........
0012fab0 f5 2a 01 8f d8 47 59 00 - ee 41 59 00 c8 fa 12 00 .*...GY..AY.....
0012fac0 64 4d 40 00 f4 fa 12 00 - 1c fb 12 00 64 4d 40 00 dM@.........dM@.
0012fad0 f4 fa 12 00 f5 2a 01 8f - 30 75 e5 02 00 00 00 00 .....*..0u......
0012fae0 d0 ad 02 05 5b 6a 48 00 - 00 00 00 00 00 fb 12 00 ....[jH.........
0012faf0 30 75 e5 02 10 fb 12 00 - 9b 3e 4b 00 00 00 00 00 0u.......>K.....
0012fb00 14 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00 ................
0012fb10 80 fb 12 00 90 8b 4b 00 - 00 00 00 00 f4 fc 12 00 ......K.........
0012fb20 64 4d 40 00 80 fb 12 00 - 30 75 e5 02 58 fd 12 00 dM@.....0u..X...
0012fb30 f5 2a 01 8f 00 00 00 00 - 00 00 00 00 00 00 00 00 .*..............
0012fb40 00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00 ................
0012fb50 00 00 00 00 00 73 ba 82 - 44 dd 6f 99 00 27 cd 85 .....s..D.o..'..
0012fb60 06 00 20 00 28 dd 6f 99 - 00 75 ba 82 02 47 8f 82 ....(.o..u...G..
0012fb70 6f 00 00 00 e4 fd 12 00 - 00 00 00 00 30 75 e5 02 o...........0u..
0012fb80 ac fc 12 00 0e 42 4b 00 - e4 fd 12 00 0f 00 00 00 .....BK.........
0012fb90 30 75 e5 02 05 6f 8f 93 - b4 fb 12 00 8f 48 50 00 0u...o.......HP.

disassembling:
[...]
0071b9e8 mov eax, [eax]
0071b9ea mov edx, [$696c70]
0071b9f0 call -$2486d5 ($4d3320) ; Forms.TApplication.CreateForm
0071b9f5 103 mov eax, [$72691c]
0071b9fa mov eax, [eax]
0071b9fc > call -$24858d ($4d3474) ; Forms.TApplication.Run
0071ba01 104 call -$31667a ($40538c) ; System.@Halt0
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0013587)
roku (reporter)
2007-07-17 09:17

Strange, I fixed this problem by commenting out the line where the DoubleBuffered property of the TJvTabControl was set to true, now the error has disappeared.

Should this be considered a bug?
(0013588)
remkobonte (developer)
2007-07-17 12:20

Could you check the version of JvExComCtrls.pas. It should be:

// $Id: JvExComCtrls.pas 11407 2007-07-05 17:11:35Z ahuser $

With this version you should not get an error if you execute:

  JvTabControl1.Perform(WM_ERASEBKGND, 0, 0);
(0013922)
obones (administrator)
2007-10-12 07:10

No news, I'm assuming this is fixed

- Issue History
Date Modified Username Field Change
2007-07-17 07:57 roku New Issue
2007-07-17 08:04 roku Issue Monitored: roku
2007-07-17 09:17 roku Note Added: 0013587
2007-07-17 12:20 remkobonte Note Added: 0013588
2007-07-17 12:20 remkobonte Status new => feedback
2007-10-12 07:10 obones Status feedback => resolved
2007-10-12 07:10 obones Fixed in Version => Daily / SVN
2007-10-12 07:10 obones Resolution open => fixed
2007-10-12 07:10 obones Assigned To => obones
2007-10-12 07:10 obones Note Added: 0013922


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker